Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class TherapeuticExclusionWithOperationContext

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionType
          be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionWithOperationContext

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:27:14+02:00",
               comments="JAXB RI v2.2.11")
    public class TherapeuticExclusionWithOperationContext

extends TherapeuticExclusionType
implements Serializable

Java class for TherapeuticExclusionWithOperationContext complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TherapeuticExclusionWithOperationContext">
       <complexContent>
         <extension base="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticExclusionType">
           <sequence>
             <element name="operationcontext" type="{http://www.ehealth.fgov.be/hubservices/core/v2}OperationContextType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TherapeuticExclusionWithOperationContext()`

Method Summary
`List<OperationContextType>` | `getOperationcontexts()` Gets the value of the operationcontexts property.

Methods inherited from class be.fgov.ehealth.hubservices.core.v2.TherapeuticExclusionType
`getHcparty, getPatient, setHcparty, setPatient`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TherapeuticExclusionWithOperationContext

    public TherapeuticExclusionWithOperationContext()

Method Detail

### getOperationcontexts

    public List<OperationContextType> getOperationcontexts()

  Gets the value of the operationcontexts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the operationcontexts property.

  For example, to add a new item, do as follows:

          getOperationcontexts().add(newItem);

  Objects of the following type(s) are allowed in the list `OperationContextType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.